use v6;
# generated by: ../../etc/make-modules.p6 --role-name=ISO_32000::OPI_version_2_0 ../tables/OPI_version_2_0_entries.html

#| PDF 32000-1:2008 Table 370 – Entries in a version 2.0 OPI dictionary
role ISO_32000::OPI_version_2_0 {
    method Type {...};
    method Version {...};
    method F {...};
    method MainImage {...};
    method Tags {...};
    method Size {...};
    method CropRect {...};
    method Overprint {...};
    method Inks {...};
    method IncludedImageDimensions {...};
    method IncludedImageQuality {...};

=begin pod

=head1 Methods (Entries)

=head2 Type [name]
- (Optional) The type of PDF object that this dictionary describes; if present, is OPIfor an OPI dictionary.

=head2 Version [number]
- (Required) The version of OPI to which this dictionary refers; is the number 2 or 2.0 (not the name 2.0, as in an OPI version dictionary).

=head2 F [file specification]
- %%ImageFilename
(Required) The external file containing the low- resolution proxy image.

=head2 MainImage [byte string]
- %%MainImage
(Optional) The pathname of the file containing the full-resolution image corresponding to this proxy, or any other identifying string that uniquely identifies the full-resolution image.

=head2 Tags [array]
- %%TIFFASCIITag
(Optional) An array of pairs of the form
[ tagNum1 tagText1 … tagNumn tagTextn ]
where each tagNum is an integer representing a TIFF tag number and each tagText is an ASCII string or an array of ASCII strings representing the corresponding ASCII tag value.

=head2 Size [array]
- %%ImageDimensions
(Optional) An array of two numbers of the form
[ width height ]
specifying the dimensions of the image in pixels.

=head2 CropRect [rectangle]
- %%ImageCropRect
(Optional) An array of four numbers of the form
[ left top right bottom ]
specifying the portion of the image to be used.
The Size and CropRect entries shall either both be present or both be absent. If present, they shall satisfy the conditions
0 left right width
and
0 top bottom height
In this coordinate space, the positive y axis extends vertically downward; hence, the requirement that top bottom.

=head2 Overprint [boolean]
- %%ImageOverprint
(Optional) A flag specifying whether the image is to overprint (true) or knock out (false) underlying marks on other separations. Default value: false.

=head2 Inks [name or array]
- %%ImageInks
(Optional) A name object or array specifying the colorants to be applied to the image. The value may be the name full_color or registration or an array of the form
[ /monochrome name1 tint1 … namen tintn ]
where each name is a string representing the name of a colorant and each tint is a real number in the range 0.0 to 1.0 specifying the concentration of that colorant to be applied.

=head2 IncludedImageDimensions [Span]
- 

=head2 IncludedImageQuality [Span]
- 

=end pod
}
